import React from 'react';
declare class Grid extends React.Component {
    static propTypes: any;
    props: any;
    state: any;
    viewOptions: any;
    headerRef: any;
    bodyRef: any;
    fixedHeaderRef: any;
    fixedRHeaderRef: any;
    fixedLBodyRef: any;
    fixedRBodyRef: any;
    bodyWrapperRef: any;
    constructor(props: any);
    onLeftBody_Scroll(e: any): void;
    onRightBody_Scroll(e: any): void;
    componentDidUpdate(prevProps: any): void;
    onBody_Scroll(e: any): void;
    onViewTypeChange(data: any): void;
    componentDidMount(): void;
    addNewRow(evt: any): void;
    handleColSelChange(data: any): void;
    onColumReorder(colOrder: any): void;
    handleApplySelection(action: any): void;
    hasActionClickRow(): any;
    render(): import("react/jsx-runtime").JSX.Element;
    handleSort(data: any, column: any): void;
    onColResize(width: any, name: any): void;
    renderHeader(name: any, columns: any, spacer?: any): import("react/jsx-runtime").JSX.Element;
    renderData(name: any, columns: any, data: any, rowConfig: any, spacer?: any): any;
    isLoading(): boolean;
    isDisabled(): boolean;
    hasData(): boolean;
    hasActions(): any;
    renderLoadingView(disable?: boolean): import("react/jsx-runtime").JSX.Element;
    renderNoDataView(): import("react/jsx-runtime").JSX.Element;
    handleRowChange(column: any, value: any, row: any): void;
    handleChildRowRender(column: any, data: any): any;
    handleColumnChange(column: any, value: any, row: any): void;
    handleRowClick(columns: any, row: any): void;
    handleFieldBlur(column: any, value: any, row: any): void;
    handleFieldClick(column: any, value: any, row: any): void;
    handleFieldAction(column: any, action: any, row: any): void;
    renderRow(name: any, columns: any, data: any, rowConfig: {}, index: any, spacer: any): import("react/jsx-runtime").JSX.Element;
}
export default Grid;
